Subject: Crazy

From: Owen Brand <[email-masked]>
Date: Thu, 18 Apr 2013 21:14:12 -0600

so of all the crazy things to have lost, I now find myself without an XB manual.  I had at least 4 at one point....  :)

So upon getting here to Colorado and into a house, I have discovered several things missing...  My monitor, AV cable, XB manual(s), and a few of my more common cartridges.  Conclusion: there is at least one whole box or tub full of TI gear still in Kentucky at my sister's house....  How the hell am I going to get there to get all this stuff?!?!

Well, at least I have the XB manual in Word format on my PC.  :)

Moral: check EVERY box and tub before vacating a house...  Especially when they may contain TI gear.  

Owen

Sent from Huawei Mobile